/*
 * main implementation: use this 'C' sample to create your own application
 *
 */

#include "main.h"


int main(void)
{
	sysinit();	
#if UART_MODE == INTERRUPT
	put("\r\nDMA-UART example using Interrupt mode\r\n");
#else
	put("\r\nDMA-UART example using polling mode\r\n");
#endif
	enable_irq(INT_DMA0 -16);
	dma_init();
	enable_UART_DMArequest();


/*Options are INTERRUPT and POLLING*/	
#if UART_MODE == INTERRUPT	
	int counter = 0;
	EnableInterrupts;
	enable_irq(INT_UART0 -16);
	set_irq_priority((INT_UART0 -16), 2);

	while(1)
	{
		counter++;
		if(counter >= 100000)
		{
			GREEN_TOGGLE;
			counter = 0;
		}
	}
#else
	char ch;
	for(;;) {
		ch = in_char();
		out_char(ch);
		BLUE_TOGGLE;
	}
#endif

	return 0;
}
