
#include "derivative.h" /* include peripheral declarations */
#include "dma.h"
#include "arm_cm4.h"
#include "spi.h"

int main(void)
{
	uint8_t count = 0;
	SPI0_mstrInit();      //SPI master initialization
	EnableInterrupts;
	enable_irq(INT_DMA0 - 16);
	enable_irq(INT_DMA1 - 16);
	vfnInitDMA_SPITxMstr();        //Enable the DMA channel 0 for  SPI transmit
	vfnInitDMA_SPIRxMstr();		   //Enable the DMA channel 1 for  SPI receive
	

	for(;;) {
		MasterDataSend (count); //Filling the buffer
		Master_sendDMA();       //Sending data
		count++;
		if(count >= 3){count = 0;}	
	}
	
	return 0;
}


